org.apache.cassandra.db.monitoring

## Class ApproximateTime

- java.lang.Object
- - org.apache.cassandra.db.monitoring.ApproximateTime

-     public class ApproximateTime
      extends java.lang.Object

  This is an approximation of System.currentTimeInMillis(). It updates its time value at periodic intervals of CHECK_INTERVAL_MS milliseconds (currently 10 milliseconds by default). It can be used as a faster alternative to System.currentTimeInMillis() every time an imprecision of a few milliseconds can be accepted.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApproximateTime()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static long` | `currentTimeMillis()`
    `static long` | `precision()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApproximateTime

          public ApproximateTime()

  - ### Method Detail

    - #### currentTimeMillis

          public static long currentTimeMillis()

    - #### precision

          public static long precision()

Copyright © 2018 The Apache Software Foundation